/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DB_ITER_H
#define DB_ITER_H

#include <glib-object.h>

#define	DB_TYPE_ITER	(db_iter_get_type())

typedef struct _DbIter DbIter;

/**
 * DbIter:
 * @stamp: a unique stamp to catch invalid iterators
 * @data: model-specific data
 * @data2: model-specific data
 * @data3: model-specific data
 *
 * The #DbIter is the primary structure for accessing a #DbModel. The #DbModel
 * puts a unique integer in the @stamp member, and model-specific data in
 * each of the three @data members.
 **/
struct _DbIter
{
	gint stamp;
	gpointer data;
	gpointer data2;
	gpointer data3;
};

GType		db_iter_get_type	();

gboolean 	db_iter_compare	(DbIter * a, DbIter * b);
DbIter *	db_iter_copy	(DbIter * obj);
void		db_iter_free	(DbIter * obj);

#endif
