/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SQL_HOLDER_H
#define SQL_HOLDER_H

#define SQL_TYPE_HOLDER		(sql_holder_get_type ())
#define SQL_HOLDER(obj)		(G_TYPE_CHECK_INSTANCE_CAST (obj, SQL_TYPE_HOLDER, SqlHolder))
#define SQL_IS_HOLDER(obj)	(G_TYPE_CHECK_INSTANCE_TYPE (obj, SQL_TYPE_HOLDER))

typedef struct _SqlHolder SqlHolder;
typedef struct _SqlHolderClass SqlHolderClass;

#include "sql-object.h"

struct _SqlHolder
{
	SqlObject parent;
	gchar * id;
};

struct _SqlHolderClass
{
	/* <private> */
	SqlObjectClass parent;
};

GType			sql_holder_get_type	();
SqlObject *		sql_holder_new		(const gchar * id);
const gchar *	sql_holder_get_id	(SqlHolder * obj);

#endif