/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_DATE_CHOOSER_H
#define VN_DATE_CHOOSER_H

#include <vn/vn-field.h>

#define VN_TYPE_DATE_CHOOSER			(vn_date_chooser_get_type ())
#define VN_DATE_CHOOSER(object)			(G_TYPE_CHECK_INSTANCE_CAST (object, VN_TYPE_DATE_CHOOSER , VnDateChooser))
#define VN_IS_DATE_CHOOSER(obj)			(G_TYPE_CHECK_INSTANCE_TYPE (obj, VN_TYPE_DATE_CHOOSER))
#define VN_DATE_CHOOSER_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST (klass, VN_TYPE_DATE_CHOOSER, VnDateChooserClass))
#define VN_IS_DATE_CHOOSER_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, VN_TYPE_DATE_CHOOSER))
#define VN_DATE_CHOOSER_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS (obj, VN_TYPE_DATE_CHOOSER, VnDateChooserClass))

typedef struct _VnDateChooser VnDateChooser;
typedef struct _VnDateChooserClass VnDateChooserClass;

struct _VnDateChooser
{
	VnField parent;
	GtkWidget * box;
	GtkLabel * label;
	GtkWidget * popup;
	GtkWidget * button;
	GdkDevice * device;
	GtkCalendar * calendar;
	GDate date;
};

struct _VnDateChooserClass
{
	/* <private> */
	VnFieldClass parent;
};

GType		vn_date_chooser_get_type	();
VnField *	vn_date_chooser_new			();

#endif